> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter forma de envio



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /formas-envio/{idFormaEnvio}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /formas-envio/{idFormaEnvio}:
    get:
      tags:
        - Logistica
      summary: Obter forma de envio
      operationId: ObterFormaEnvioAction
      parameters:
        - $ref: '#/components/parameters/get_formas_envio_idFormaEnvio_idFormaEnvio'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterFormaEnvioResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_formas_envio_idFormaEnvio_idFormaEnvio:
      name: idFormaEnvio
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterFormaEnvioResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/FormaEnvioModel'
        - properties:
            id:
              type: integer
            gatewayLogistico:
              $ref: '#/components/schemas/GatewayLogisticoResponseModel'
            formasFrete:
              type: array
              items:
                $ref: '#/components/schemas/FormaFreteModel'
              nullable: true
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    FormaEnvioModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            tipo:
              description: |-

                - 0 - Sem Frete
                - 1 - Correios
                - 2 - Transportadora
                - 3 - Mercado Envios
                - 4 - B2w Entrega
                - 5 - Correios Ff
                - 6 - Customizado
                - 7 - Jadlog
                - 8 - Totalexpress
                - 9 - Olist
                - 10 - Gateway
                - 11 - Magalu Entregas
                - 12 - Shopee Envios
                - 13 - Ns Entregas
                - 14 - Viavarejo Envvias
                - 15 - Madeira Envios
                - 16 - Ali Envios
                - 17 - Loggi
                - 18 - Conecta La Etiquetas
                - 19 - Amazon Dba
                - 20 - Magalu Fulfillment
                - 21 - Ns Magalu Entregas
                - 22 - Shein Envios
                - 23 - Mandae
                - 24 - Olist Envios
                - 25 - Kwai Envios
                - 26 - Beleza Envios
                - 27 - Tiktok Envios
                - 28 - Hub Envios
                - 29 - Forma Teste
                - 30 - Posta Ja
                - 31 - Temu Envios
                - 32 - Nuvem Envio
                - 33 - Kabum Magalu Entregas
                - 34 - Enviali
              type: string
              enum:
                - 0
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
                - 11
                - 12
                - 13
                - 14
                - 15
                - 16
                - 17
                - 18
                - 19
                - 20
                - 21
                - 22
                - 23
                - 24
                - 25
                - 26
                - 27
                - 28
                - 29
                - 30
                - 31
                - 32
                - 33
                - 34
              nullable: true
              x-enumDescriptions:
                - 0 - Sem Frete
                - 1 - Correios
                - 2 - Transportadora
                - 3 - Mercado Envios
                - 4 - B2w Entrega
                - 5 - Correios Ff
                - 6 - Customizado
                - 7 - Jadlog
                - 8 - Totalexpress
                - 9 - Olist
                - 10 - Gateway
                - 11 - Magalu Entregas
                - 12 - Shopee Envios
                - 13 - Ns Entregas
                - 14 - Viavarejo Envvias
                - 15 - Madeira Envios
                - 16 - Ali Envios
                - 17 - Loggi
                - 18 - Conecta La Etiquetas
                - 19 - Amazon Dba
                - 20 - Magalu Fulfillment
                - 21 - Ns Magalu Entregas
                - 22 - Shein Envios
                - 23 - Mandae
                - 24 - Olist Envios
                - 25 - Kwai Envios
                - 26 - Beleza Envios
                - 27 - Tiktok Envios
                - 28 - Hub Envios
                - 29 - Forma Teste
                - 30 - Posta Ja
                - 31 - Temu Envios
                - 32 - Nuvem Envio
                - 33 - Kabum Magalu Entregas
                - 34 - Enviali
            situacao:
              description: |-

                - 1 - Habilitada
                - 2 - Desabilitada
              type: string
              enum:
                - 1
                - 2
              nullable: true
              x-enumDescriptions:
                - 1 - Habilitada
                - 2 - Desabilitada
          type: object
    GatewayLogisticoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
          type: object
    FormaFreteModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            codigoExterno:
              type: string
              nullable: true
            tipoEntrega:
              description: |-

                - 0 - Nao Definida
                - 1 - Normal
                - 2 - Expressa
                - 3 - Agendada
                - 4 - Economica
                - 5 - Super Expressa
                - 6 - Retirada
              type: string
              enum:
                - 0
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
              nullable: true
              x-enumDescriptions:
                - 0 - Nao Definida
                - 1 - Normal
                - 2 - Expressa
                - 3 - Agendada
                - 4 - Economica
                - 5 - Super Expressa
                - 6 - Retirada
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````